import React from 'react';

import style from './Description.module.scss'

import {useTranslations} from 'next-intl';

const Description: React.FC = () => {

  const t = useTranslations('Header');

  return (
    <div className={style.container}>{t('description')}</div>
  );
};

export default Description;