'use client'

import ReduxProvider from "@/store/redux-provider";

export default function WithRedux({
  children,
}: Readonly<{
  children: React.ReactNode;
}>) {

  return (
    <>
      <ReduxProvider>
        {children}
      </ReduxProvider>
    </>
  );
}
