import React from 'react';

import style from './Disclaimer.module.scss'

import { useTranslations } from 'next-intl';
import { Platforms } from '@/meta/settings';

interface Props {
  platform: Platforms
}

const Disclaimer: React.FC<Props> = (props) => {

  const { platform } = props;

  const t = useTranslations('Header');

  return (
    <>
      {platform == Platforms.pornhub && <div className={style.messageBox}>{t(`disclaimer_pornhub`)}</div>}
    </>
  );
};

export default Disclaimer;