import { XVIDEOS_BASE_URL, XVIDEOS_BASE_URL_GAY, XVIDEOS_BASE_URL_TRANS } from '@/constants/urls';
import { Cookies, XVideosCatQueryMap, XVideosOrientations } from '@/meta/settings';
import { getCookie } from '@/utils/cookies/read';

export const getXVideosQueryUrl = async (query?: string) => {
    
    const category = await getCookie(Cookies.orientation)

    if (!category && !query) {
        return XVIDEOS_BASE_URL
    }

    if (!category && query) {
        return `${XVIDEOS_BASE_URL}/?k=${query}`
    }

    if (category && !Object.values(XVideosOrientations).includes(category.value as XVideosOrientations)) {
        return XVIDEOS_BASE_URL 
    }

    if (category && !query) {
        switch (category.value) {
            case XVideosOrientations.etero:
                return XVIDEOS_BASE_URL
            case XVideosOrientations.gay:
                return XVIDEOS_BASE_URL_GAY
            case XVideosOrientations.trans:
                return XVIDEOS_BASE_URL_TRANS
            default:
                return XVIDEOS_BASE_URL;
        }
    }

    if (category && query) {
        return `${XVIDEOS_BASE_URL}/?k=${query}&typef=${XVideosCatQueryMap[category.value as XVideosOrientations]}`
    }

    return XVIDEOS_BASE_URL

}